Groovy 1.7.10

## groovy.ui
[Java] Class GroovySocketServer

    java.lang.Object
      groovy.ui.GroovySocketServer

All Implemented Interfaces:
  Runnable

    public class GroovySocketServer
    extends Object

Simple server that executes supplied script against a socket

Authors:
  Jeremy Rayner

Version:
  \$Id: GroovySocketServer.java 18226 2009-11-12 07:16:10Z paulk \$

Constructor Summary
`GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)`

Method Summary
`void` | `run()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovySocketServer

    public GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)

Method Detail

### run

    public void run()

Copyright © 2003-2010 The Codehaus. All rights reserved.